Bug 1662492 - [RFE] Generate the complete report about Entitlement Information (hypervisors versus Content Hosts)
Summary: [RFE] Generate the complete report about Entitlement Information (hypervisors...
Keywords:
Status: VERIFIED
Alias: None
Product: Red Hat Satellite 6
Classification: Red Hat
Component: Subscription Management
Version: 6.4
Hardware: All
OS: All
high
high with 1 vote vote
Target Milestone: 6.7.0
Assignee: Ondřej Pražák
QA Contact: jcallaha
URL:
Whiteboard:
: 1661333 (view as bug list)
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-12-28 22:26 UTC by Waldirio M Pinheiro
Modified: 2020-02-10 12:04 UTC (History)
8 users (show)

Fixed In Version:
Doc Type: Enhancement
Doc Text:
You can use the new Entitlements report template to monitor which entitlements are consumed by hosts that you manage with Satellite.
Clone Of:
Environment:
Last Closed:
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Foreman Issue Tracker 27923 High Closed Generate the complete report about Entitlement Information (hypervisors versus Content Hosts) 2020-02-25 11:26:44 UTC
Foreman Issue Tracker 27995 Normal Closed Extend reported data facet for entitlement report 2020-02-25 11:26:44 UTC
Github waldirio/satellite6_reports/tree/master/complete_hypervisor_content-host_report None None None 2020-02-25 11:26:44 UTC
Red Hat Knowledge Base (Solution) 3795361 None None None 2019-01-09 19:46:44 UTC

Internal Links: 1640080

Description Waldirio M Pinheiro 2018-12-28 22:26:32 UTC
Description of problem:
Currently, for a different reason, the Content Host consume the wrong entitlement. For example, CH running on top of the hypervisor subscribed (by VDC) is consuming one (Physical or Virtual Node). That said, the customer would like to generate a report that should be able to present the complete and actual scenario.

Version-Release number of selected component (if applicable):
6.4

How reproducible:
100%

Steps to Reproduce:
1. Attach some entitlement to the Content Host and Hypervisors (virt-who-*)
2. Generate a report that should show this info.
3. Currently, there is the hammer call (hammer csv content-hosts) but this is not working on Satellite 6.3 or Satellite 6.4

Actual results:
No way to generate this report/information.

Expected results:
See the report with the information like below
"hypervisor_name,hypervisor_entitlement,content_host_name,content_host_entitlement"

Additional info:

Comment 6 Waldirio M Pinheiro 2019-01-09 22:19:13 UTC
*** Bug 1661333 has been marked as a duplicate of this bug. ***

Comment 7 Bryan Kearney 2019-01-10 13:37:05 UTC
This can be done with hammer csv. Keeping this bug around to ensure that we can do this with the reporting framework.

Comment 10 Marek Hulan 2019-09-24 04:55:59 UTC
Created redmine issue https://projects.theforeman.org/issues/27923 from this bug

Comment 15 Ondřej Pražák 2019-10-03 10:20:42 UTC
Connecting redmine issue https://projects.theforeman.org/issues/27995 from this bug

Comment 22 jcallaha 2019-12-11 16:42:07 UTC
Verified in Satellite 6.7 Snap 4.

The entitlements report template has been added to Satellite as of this snap.

The report generates correctly, with the following information.
          'Name': host.name,
          'Organization': host.organization,
          'Lifecycle Environment': host.lifecycle_environment,
          'Content View': host.content_view,
          'Host Collections': host.host_collections,
          'Virtual': host.virtual,
          'Guest of Host': host.hypervisor_host,
          'OS': host.operatingsystem,
          'Arch': host.architecture,
          'Sockets': host.sockets,
          'RAM': host.ram,
          'Cores': host.cores,
          'SLA': host_sla(host),
          'Products': host_products(host),
          'Subscription Name': sub_name(pool),
          'Subscription Type': pool.type,
          'Subscription Quantity': pool.quantity,
          'Subscription SKU': sub_sku(pool),
          'Subscription Contract': pool.contract_number,
          'Subscription Account': pool.account_number,
          'Subscription Start': pool.start_date,
          'Subscription End': pool.end_date,
          'Subscription Guest': registered_through(host)

See attached recording for verification.


Note You need to log in before you can comment on or make changes to this bug.